from parallels.core.utils.entity import Entity


class MailList(Entity):
    def __init__(
        self, mail_list_id, domain_id, name, status, admin_email
    ):
        self._mail_list_id = mail_list_id
        self._domain_id = domain_id
        self._name = name
        self._status = status
        self._admin_email = admin_email

    @property
    def mail_list_id(self):
        """
        :rtype: str | unicode
        """
        return self._mail_list_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def status(self):
        """
        :rtype: str | unicode
        """
        return self._status

    @property
    def admin_email(self):
        """
        :rtype: str | unicode | None
        """
        return self._admin_email
